openFile {PBSmodelling} | R Documentation

## Open a File with the Associated Program

### Description

openFile attempts to open a file, based off the command set in the `PBS.options\$openfile` list. If `PBS.options\$openfile[[extension]]` is set openFile will replace all occurrences of `"%f"` with the absolute path of the filename, and then execute the command. Otherwise, if no command is set, `shell.exec()` will be used.

### Usage

    openFile(fname)

### Arguments

`fname` | filename to be opened.

### See Also

`getPBSext` and `setPBSext`

### Examples

    ## Not run:
    #setup firefox to open .html files
    setPBSext("html", '"c:/Program Files/Mozilla Firefox/firefox.exe" %f')
    openFile("foo.html")
    ## End(Not run)

[Package PBSmodelling version 0.83 Index]